jvx.numeric

## Class PnNoise

- java.lang.Object
- - jvx.numeric.PnNoise

-     public class PnNoise
      extends java.lang.Object

  Generates 2D procedural white noise by hashtable-like method to generate a gradient on an integer lattice that is made continuous by smoothed interpolation. Noise is 256-periodic.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[][]` | `m_preComputedNoise`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnNoise()` Creates and initializes new noise

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPreComputedNoise(int x, int y)` Call `preComputeNoise(double, int, int, int, int)` before using this.
    `int` | `intNoise(double x, double y)` Value of white noise at given 2D point.
    `float` | `noise(float x, float y)` Value of white noise at given 2D point.
    `void` | `preComputeNoise(double coarseness, int xmin, int ymin, int xmax, int ymax)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_preComputedNoise

          public int[][] m_preComputedNoise

  - ### Constructor Detail

    - #### PnNoise

          public PnNoise()

      Creates and initializes new noise

  - ### Method Detail

    - #### noise

          public float noise(float x,
                    float y)

      Value of white noise at given 2D point.
      Returns:
        noise value [-1;1]

    - #### intNoise

          public int intNoise(double x,
                     double y)

      Value of white noise at given 2D point.
      Returns:
        noise value [0;255]

    - #### preComputeNoise

          public void preComputeNoise(double coarseness,
                             int xmin,
                             int ymin,
                             int xmax,
                             int ymax)

      Since:
        JavaView 2.65.000

    - #### getPreComputedNoise

          public int getPreComputedNoise(int x,
                                int y)

      Call `preComputeNoise(double, int, int, int, int)` before using this.
      Since:
        JavaView 2.65.000

"

The software JavaView? is copyright protected. All Rights Reserved.
"